Subject: Re: bug#50390: Improve documentation of 'read-char-choice-use-read-key' and 'y-or-n-p-use-read-key'

From: Juri Linkov <[email-masked]>
Date: Sun, 05 Sep 2021 11:08:13 +0300

> I read in NEWS for Emacs 28:
>
>     New variables 'read-char-choice-use-read-key' and 'y-or-n-p-use-read-key'.
>
> When I look into the documentation of those variables, I do not get
> any explanation of why I would want to use them.  I also can't find
> any explanation in the manual.
>
> Even just one or two sentences that indicates its typical use would be
> very helpful here.

The problem is that read-char-choice still has no docstring.
After adding it, the docstring of read-char-choice should
refer to read-char-choice-use-read-key and explain it.

y-or-n-p already has docstring and should mention y-or-n-p-use-read-key.